// G7VCC.h

#ifndef G7VCC_H
#define G7VCC_H

#ifdef __cplusplus
extern "C"{
#endif

// Add function to .h and .cpp file
// Add function name to .def file
// Compile dll
// Check names with "tdump -ee -m G7VCC.dll"
// Run "implib BCCMathFuncsDll.lib G7VCC.dll"
// Copy .h, .lib, and .dll files to Builder project.  Add .lib to project.  #include .h.
// See E:\Inforum\Code\G7\VisualStudio\borland_and_microsoft_dll.pdf for help.

char* __stdcall G7BoostReplace(const char *str, const char *olds, const char *news);

//int __stdcall G7Tokenize(const char *str, const char *separators, int &n, char **words);
char** __stdcall G7Tokenize(const char *str, const char *separators, int &n);

int __stdcall G7FreeChar2Array(char** c2a, const int len);





#ifdef __cplusplus
}
#endif

#endif // G7VCC_H